Subject: bug#30819: closed (Re: bug#30819: [Bug #19655] Patches for GNU Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Apr 2018 08:55:02 +0000

Your bug report

#30819: [Bug  #19655] Patches for GNU Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30819: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30819
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30819: [Bug #19655] Patches for GNU Emacs
From: martin rudalics <[email-masked]>
To: Simona Arizanova <[email-masked]>, [email-masked]
Date: Mon, 02 Apr 2018 10:53:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

 >> Also, I assume that you have not signed legal papers for Emacs so we
 > have to mark this as a tiny change.  Correct?
 >
 >
 > We had no acknowledge of such papers so yes, mark it as a tiny change.

Installed as commit 956c39d11d871d1b6cdf4bc13217e9678d12fd76 on
master.  Please have a look, for example, at

https://git.savannah.gnu.org/cgit/emacs.git/log/

Thank you, martin (trying to close bugs #19655 and #30819 now)

Subject: [Bug #19655] Patches for GNU Emacs
From: Simona Arizanova <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 14 Mar 2018 14:07:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

<mailto:[email-masked]>

Hello,

As I was using the last version of Emacs (27.0.50) , I noticed something that could be improved. I’m explaining :

First type C – h ? to open the Metahelp window.

Then write C – s to enable searching.

Instead of searching in the Metahelp window, the Metahelp window closes.

This is an actual bug registered as #19655 in the https://debbugs.gnu.org<https://debbugs.gnu.org/>.

Therefore I’ve decided that I could help to fix that issue.

Look forward for the patch of the corrected bug.

The function search-forward-help-for-help in the help.el allows to reasearch in the * Metahelp * window.

I look forward for your response from you soon.

Thanks.

- Arizanova Simona -
gespenst@debian:~/Bureau$ diff -u help.el Acutal-help.el 
--- help.el	2018-03-09 20:14:31.492000000 +0100
+++ Acutal-help.el	2018-03-03 15:09:47.652000000 +0100
@@ -69,8 +69,7 @@
     (define-key map "\C-p" 'view-emacs-problems)
     (define-key map "\C-t" 'view-emacs-todo)
     (define-key map "\C-w" 'describe-no-warranty)
-    (define-key map "\C-s" 'search-forward-help-for-help)
-    
+
     ;; This does not fit the pattern, but it is natural given the C-\ command.
     (define-key map "\C-\\" 'describe-input-method)
 
@@ -994,16 +993,6 @@
      (t
       (error "No such minor mode: %s" minor-mode)))))
 
-
-(defun search-forward-help-for-help()
-  "Allows to research forward a string into the *Metahelp* window"
-  (interactive)
-  ;;Moves the cursor to the *Metahelp* window
-  (switch-to-buffer-other-window " *Metahelp*")
-  ;; Do incremental search forward.
-  (isearch-forward nil 1))
-
-
 ;; symbol
 (defun describe-minor-mode-completion-table-for-symbol ()
   ;; In order to list up all minor modes, minor-mode-list